<tr class="<%= tools_task.ancestry ? 'task-line tablesorter-childRow' : 'task-line-root' %>">
    <% if @set_check_box_email %>
      <td>
        <%= check_box_tag "task_email[#{tools_task.id}]", 'send', false %>
      </td>
    <% end %>

    <% unless plan_options[:rcas] || plan_options[:type_plan] == 'rca' %>
      <td>
        <%= link_to ("#{tools_task.rca.reference}-#{tools_task.rca.title}".truncate(22)+'  '+fa_icon_edit).html_safe, edit_rca_path(tools_task.rca), title: tools_task.rca.title %>
      </td>
    <% end %>

    <% if show_column('object', 'ref') %>
      <td>
          <%= tools_task.reference %>
      </td>
    <% end %>

    <td class='task-title'>
        <%= tools_task.name_level.html_safe %>
    </td>

    <% if show_column('object', 'advancement') %>
      <td>
        <span style="visibility: hidden;font-size: 1px;"><%= tools_task.advancement %></span>
        <%= tools_task.dec_level.html_safe %>
        <%=raw task_advance_helper(tools_task, animation: false, size: 20) %>
      </td>
    <% end %>
    <% if show_column('object', 'responsible_action') %>
      <td><%= tools_task.responsible_action&.name %></td>
    <% end %>
    <% if show_column('object', 'responsible_rca') %>
      <td><%= tools_task.responsible_rca&.name %></td>
    <% end %>
    <% if show_column('object', 'result') %>
      <td><%= tools_task.result %></td>
    <% end %>
    <% if show_column('object', 'priority') %>
      <td>
        <%= t(tools_task.priority, scope: [:simple_form, :options, :tools_task, :priority]) %>
      </td>
    <% end %>
    <% if show_column('object', 'date_due') %>
      <td >
        <span style="visibility: hidden;font-size: 1px;"><%= tools_task.task_late? ? 'L' : 'I' %></span>
        <%= task_date_due_helper(tools_task) %>
      </td>
    <% end %>
    <% if show_column('object', 'date_completion') %>
      <td><%= tools_task.date_completion %></td>
    <% end %>

    <!-- Matrix Status -->
    <% if plan_options[:matrix] && show_column('matrix', 'matrix_status')%>
      <td><%= task_status_matrix(tools_task) %></td>
    <% end %>

    <!-- TaskValidation -->
    <% if plan_options[:validation] && show_column('validation', 'status') %>
      <td><%= task_validation_status(tools_task) %></td>
    <% end %>

    <!-- Efficacity -->
    <% if plan_options[:efficacity] %>
      <% if show_column('efficacity', 'check_status') %><td><%= efficacity_status(tools_task) %></td><% end %>
      <% if show_column('efficacity', 'percentage') %><td><%= efficacity_percentage_show(tools_task) %></td><% end %>
      <% if show_column('efficacity', 'date_due_check') %><td><%= efficacity_date_due(tools_task) %></td><% end %>
      <% if show_column('efficacity', 'date_done_check') %><td><%= efficacity_date_done(tools_task) %></td><% end %>
    <% end %>

    <% if show_buttons %>
      <td class='table-cell-links'>
          <% if plan_options[:sub_type_plan] == 'normal' || (!rca || tools_task.rca_id == rca.id) %>
            <%= link_to fa_icon_edit, edit_tools_task_path(tools_task, efficacity: plan_options[:efficacity],
                                                                       matrix: plan_options[:matrix]), remote: true %>
            <%= link_to fa_icon_delete, tools_task, method: :delete, data: { confirm: t('confirm.sure') } %>
          <% end %>
          <% if rca && tools_task.rca_id == rca.id %>
            <%= link_to fa_icon_add,
                        # new_tools_task_path(tools_task: @step_tool.tool_options.merge({
                        new_tools_task_path( tools_task: { task_detail_type: tools_task.task_detail_type,
                              rca_id: rca.id,
                              tool_reference: tools_task.tool_reference,
                              tool_num: tools_task.tool_num,
                              tools_cause_id: tools_task.tools_cause_id,
                              responsible_rca_id: tools_task.responsible_rca_id,
                              responsible_action_id: tools_task.responsible_action_id,
                              parent_id: tools_task.id },
                          efficacity: plan_options[:efficacity],
                          matrix: plan_options[:matrix]),
                        title: 'Add sub-action',
                        remote: true
            %>
          <% end %>
      </td>
    <% end %>
</tr>

<%# tools_task.children.order(@step_tool.tool_options[:blocks]).each do |child_task| %>
    <%#= render partial: 'tools/tasks/task_line', locals: {rca: rca, tools_task: child_task, plan_options: plan_options, show_buttons: show_buttons} %>
<%# end %>
